Adds major content like Expeditions to the brotherhood, as well as edits to make coop more enjoyable. This will not make Lost Hills OP, but it should make them significantly more enjoyable up through the NCR-Brotherhood war.
##FUTURE PLANS - Caesar's Legion work & integration, giving foci specifically for fighting them. Reformers ceasefire deal with NCR for concessions & unified front against legion
## Decisions to affect off-map chapter random outcomes

LOST HILLS FOCUS TREE CHANGES:

NCR-BROTHERHOOD WAR:
You now have to wait only 3 extra years as Rhombians rather than 5 to end the Ceasefire with the NCR (2283)

The Bunker side of preparing for the NCR-Brotherhood War now also requires infantry equipment. This will spawn divisions in those states rather than simply eating ~1500 Manpower once the war breaks out. This is subject to change should it turn out to be unpopular.
The resistance changes to owned states from "Propaganda Campaigns" and "Rounding up Criminals" now lowers Resistance Target so it has some effect. You're still gonna need Resistance Eradication.

INDUSTRY:
The Knights awards one Infrastructure in Lost Hills.
The Scribes completion time was raised to match The Knights, and now awards one Infrastructure in Lost Hills.

The Brotherhood gets 3 Civillian Workshops in Lost Hills from the New Reforms path.
The Our Right tree now only requires you to take scrap metal, power, or electronics. In addition, Our Right awards 1 Infrastructure instead of another tech credit, and the scrap metal option is now 6 instead of 4,
The Bunker foci has some of their civs changed to Arms Factories, as there was just too many in the end.

Other Changes:
Weaponry research in brotherhood R&D awards one Infantry Technology credit, two Fireteam Weaponry credits, and one Energy Weaponry credit, instead of four ballistics credits.
Caps now gives you +10% Resources to Market. Maybe someone will import from you! Enjoy, multiplayer fellows!
Council Reforms has been rebalanced, for total savings of 500pp and slightly stricter ordering. The costs to actually use the decisions remains unchanged.

Contacting Chapters:
"Lost Hills Supply Package" has been buffed substantially to make up for how late it comes for almost every Chapter.
For some chapters, they receive their "Lost Hills Supply Package" sooner, giving parity between Chapters.

The San Francisco chapter is Invited to the Brotherhood with "The Emperor's Blessing". Because of this, a bypass has been added to the Ceasefire in case you end up at war early with the NCR, and though you must complete "Ending the Ceasefire", it will work early if you're already at war. Note that as of June 9th 2022, there's an event in the base game that will call Shi, Mojave BoS, and the Guardians to war with the NCR.
A new focus, "Vertibirds at Dusk", has been added. For a significant 45 day investment, 25 air xp and meeting certain requirements, a small number of vertibirds can be yours before you've researched them! Watch out for the Bear Force ;)

Integrating Chapters: 
"Integrating San Francisco" (mutually exclusive with "Avenging The Fallen") now rewards the Brotherhood with Vertibird Schematics.
A new focus, "Avenging the Fallen", has been added under Integrating The Chapters (post NCR war). If Shi decided the brotherhood sucks actually, you can still get your schematics as you avenge the brutal end to the San Francisco chapter.
A new focus for integrating the Texan Brotherhood has been added, just in case the Texan Brotherhood takes "Old World Blues". If they haven't done it, you can't integrate them! (You don't need them for "Ad Victoriam")

Decisions: 
-Paladins can be sent to Scavenge, completing the scavenging foci.
-Paladin expeditions to the Guardians, and BSF allow Lost Hills to arm more effectively for the NCR-Brotherhood War (With Plasma Weapons and Vertibirds, in exchange for XP)

DESCRIPTION:

This intends to make the Brotherhood more enjoyable, especially in coop.

It doesn't go as far as it could - clearly purposeful decisions like Superior Firepower's hit to factory output, or advisor balancing are left alone. However, my work has improved the Lost Hills experience by adding new content and increasing interactivity. The special forces capacity oversight is patched.

MAXSON UPDATE:
-New interactions with Maxson Chapter to help turn the tide of their northern wars. 
-Event rewrites as part of a move to more stories for the chapter.
-Additional events relating to war with and occupation of the NCR.
-New foci relating to adopting the Lyons model for the Brotherhood
-Bugfixes for a couple foci and decisions

NCR-Brotherhood War:
-Earlier, more multiplayer friendly NCR-Brotherhood war.
-More sensible bunker capturing: Those bunkers you gave garrisons will now move out when war begins!
-Purity Is Worthwhile: Commiting to purity is no longer strictly worse. Strict adherence to the Codex has its benefits!
-More events relating the story of occupation, with choices on how you treat the people of the NCR.

Expeditions:
-Direct the paladins in Expeditions for knowledge across North America and the Pacific! Learn secrets of the Old World and direct the Scribe Council in its new Research and Development!
-Paladins can also be sent on several special missions for requisitioning equipment from other Chapters, helping them in the process.
-The scavenging foci can now be completed by sending your Paladins out into the Wasteland, after completing the "Advanced Scavenging" focus.

Industry:
-With the August buffs, only small further changes to make the early years more enjoyable.

Politics:
-Cheaper reforms and sensible progression of them.
-New foci dedicated to the other factions in Lost Hills, the Reformers and the Troika.
-Decisions allowing the Council to open and close the Brotherhood to traders, if they worked to reform the economy.

Contacting Chapters:
-"Lost Hills Supply Package" has been buffed substantially, being much stronger for everyone and arriving sooner for some chapters. Your fellow brotherhood nations will crave it.
-New decisions to tip the balance of Operation Sunburst, and Maxson's northern wars, if you're willing to take the risk...
-More interactions with other chapters, like adopting Lyon's Lancer model, and building airbases across the Wasteland!

San Francisco Reworked:
-The San Francisco chapter is Invited to the Brotherhood with "The Emperor's Blessing". If they end up at war with the NCR, you will do so early and unprepared...
-New focus "Vertibirds at Dusk" gives Lost Hills some vertibirds to play with in preparation for access to vertibird schematics!
-A repeatable expedition to San Francisco to trade air experience for flights of Vertibirds, while they still stand...

Integrating Chapters:
-Several new and reworked foci, allowing you to liberate or conquer San Francisco for Vertibirds or invite the revived Texan Brotherhood!

Other Changes:
-Research credits throughout the tree replaced with other rewards, or changed to be useful (No more ballistics!)
-Currency reform changes makes Gold Bullion an option, not a requirement. Enjoy, multiplayer fellows!
-An additional 10% Special Forces Capacity added as part of the starting national spirit, to address an oversight with Lost Hills.

DRAFT 3 DESCRIPTION:
This intends to make the Brotherhood more enjoyable, especially in coop with many additional ways to invest and defend other chapters, and a dozen smaller touches to smooth over rough edges.

The goal of the mod is to add content, especially narratively, increase interactivity, and make multiplayer more interesting. 


Major highlights include: 
A massively expanded focus tree for the Steel Rangers, 
A focus on more interactions with other chapters, including investing in overseas airbases, intervening in their conflicts at great risk, or the overhaul to BoS-Shi relations. 
After-War content by shaping California post-NCR and enacting the vision of your High Elder, with reforms such as changing economy and trade laws, accepting mutants, or inviting the Followers to reopen their bases! Llwyd may want a market economy, but Rhiannon would much prefer to never see a trader again!

The NCR wasn't formed in a day, and its institutions won't be reformed in one either! Battle the Barons and other interest groups in the NCR as the hearts of California turn to your side - the people, as it turns out, are quite happy to see the Oligarchy end, but the Barons would rather see California burn. Success will bring new national spirits, key figures from the NCR into your government, and powerful foci affecting California, but failure could make you an easy meal for the Legion.

The mod also adds a huge number of new decisions, using the limited resources of Paladins and Scribes to turn boring filler foci into interesting choices, or put them to work building in foreign lands.

Expeditions ready, Elder! Manage your paladins carefully as you interact with sprawling event trees and their leader-specific options to bring home rare artifacts, caches of equipment, or knowledge for Brotherhood R&D.

Many other aspects of the vanilla tree are retouched - such as industry, trade, politics, and the NCR-Brotherhood War, which is now easier to start and resilient to multiplayer shenanigans among a plethora of other changes.

HEALING NEW SCARS UPDATE:
Societal change must be made to California, and you'll have the foil the organized pushback from the entrenched oligarchy of the Brahmin Barons and the bit players of corruption in the NCR - Like the Van Graffs and Gun Runners or Hub merchants.
-Massive addition of the "Healing New Scars" update, totaling 14 new foci, and over two dozen events, closing content additions through the post-NCR game, up to the end of war with the Legion.
-Particularly, see changes like mass cybernetics use by civillians under the Troika, or regional training halls under the Rhombians. Rename yourself to represent all of California as the Californian Brotherhood, or pass the EPA with Allgood. Even cut a deal with the rebellious Anton Flynn to see caps kickbacks from Big Business!
-The addition of five prominent NCR figures as Cultural Advisors - Anton Flynn, Ignacio Rivas, Grant C. Hayes, Aaron Kimball, and Allgood Murphy. You'll have to earn their support first, while Healing New Scars.
-The addition of the Reformers final focuses, imagining what a non-Steel Rangers Brotherhood looks like under them. (Sign the Legion Defence Pact with the NCR for Maxson, or stab them in the back to prep against said Legion if they turn you down!)
-New decisions relating to the new content, retouches of several Expeditions to account for changes to vanilla, and art for the mutually-exclusive Council focuses.
-Balance changes to the NCR-BoS War, including the ability to do tier 3 and 4 Expeditions, establish a DMZ as you expand the Brotherhood Presence near Maxson, and the new ability for the NCR AI to start the war first, if the Legion is dead or Moore is in power.
-A host of additional balance changes for under-utilized options, and a number of fixes or design changes to older content. See the patch notes for details about balance changes or minor additions.

Changes:
-States owned by any Chapter will not be claimed by the BOS in the "Future, Attained" focus, and it tells you as much. This avoids massive diplomatic penalties.
-The NCR AI is now allowed to and much more likely to end the ceasefire, based on tension and how badly they overmatch the BoS. Unless Moore is elected, you still won't be under threat unless Caesar's Legion has been defeated.
-Focuses that give "Brotherhood Presence" in a state now add a DMZ.
-Rebalanced the Change Tension decisions for BoS-NCR tension, reducing the pp gain penalty from 50% -> 20%.
-Rebalanced the Establish Foreign Airbases decision by reducing execution time from 180 -> 120 days, plus giving you a rough idea of it's benefits in the followup event.
-Allowed the AI to form the Steel Rangers, though it's quite unlikely for now.
-Allowed the research of the "Coast of California" branch during the BoS-NCR war, so long as you control(rather than own) a core coastal state. The major utility here is in going to Anchorage or Japan on a Commitment to Duty run, significantly increasing the value of robots to Duty players, though you can also get the WBH involved in the BoS-NCR war this way.
-Added Redding and Sac-City as possible states to complete "The Brotherhood Triumphant"
-Increased the states required to complete "The Brotherhood Triumphant" from 4 to 5, which should require approximately the same minimum warscore, while with the last change making a BoS-CES peace conference over the NCR easier.

Minor Changes:
-Changed a possible multiplayer exploit that allowed the Shi State to "easily" start the 2nd NCR-BoS War on behalf of the NCR. The cheap decision to start the war is now only available if you're not in a faction with the NCR.
-Rebalanced the time to complete "Our Right" from 30 -> 14 days, and added a bypass condition.
-Increased the "Token Reforms" spirit for the Washington Brotherhood from 60 Daily Energy Cells -> 100. This is equivelant to about 16 energy without research.
-Many Expedition national spirits now have unique icons.

Fixes:
-Fixed the Toxic Caves event chain terminating early due to an incorrect scope, when choosing an option other than compensating Klamath.
-Fixed the major (and longstanding) bug that erroneously unlocked, rather than completed, the focus to invite the WBH to your faction in the Anchorage Expedition. ()
-The option in Sailing the Yangtze that may see a Paladin unit killed, now properly displays that information. 
-Fixed the BSF's expeditionary technology being unobtainable. Should the devs ever let the BSF research Monstrous Plants, I will re-add the requirement that they have done so.
-Fixed the "Lost Hills Politics" decision category disappearing if you pursue "A Balanced Council" and then select an Absolute High Elder. The section will still disappear if you do not have "A Balanced Council", but should re-appear if you take the focus.
-Fixed the market decisions (Allow Select Traders, Open the Markets) no longer functioning due to a change in how vanilla hoi4 handles no-length decisions.
-Fixed the extra Mutant Experience national spirit upgrade not increasing maximum past 5%, also applies to Legion. New maximums for both a 7.5% as there is an event offering an upgrade for each, with the legion event being new.
-A bug with the "Supply Debates" event where Lost Hills would also get the mercenaries has been fixed. Additonally, a typo preventing the targeted chapter's name from being in the event text has been fixed.

MINOR UPDATE:
-Added the "Local Favours" Paladin mission. This is an early-game mission that generates Caps by doing favors for local border settlers, raising tensions with the NCR and keeping a Paladin unit busy. The opportunity cost of this is presumed to be pretty high, so it's mostly expected to be used in the very opening days of the game.

-Added bonus outcome chance to the "Steal Enemy Supplies" mission by completing the Circle of Steel foci.
-Adapted the Shi spying system for the Brotherhood of Steel as part of a broader rework of the Circle of Steel. Thank you KD for making something so cool in the first place!
	-The Circle of Steel mini-tree has been further changed to support this. Notably, this gives you a strong opportunity against the NCR to steal equipment, or can be saved to sabotage them during the war.

-Added notification events when you can send volunteers to a chapter, which can be muted.
Made a number to how the Reformers mini-tree feels, to also support Reformers as an intended "Fallback Path" when RNG ruins your day and SHI, MOJ, and GRD all die:
-Added the ability for Lost Hills to demand the restoration of the Mojave Chapter when fighting the legion together as part of the LDP.
	-Please complain to Paradox Interactive that we can't check war participation directly...
-Added an event if actually called into the NCR-CES war that allows you to unlock the Coast of California and Airways of California mini-trees (since you have maxson), though you may choose not to unlock one or both for extra PP.
-Adjusted the "Brotherhood Presence" modifier for Maxson to reduce the available manpower when held by others. This should slightly reduce the difficulty of late wars against the NCR or helping using the LDP, as Maxson should retain more manpower for the BoS.


-Added Underground Construction Research, which eventually allows you to do underground construction decisions (including expansion) faster. Well, most of them.
-Also added some Underground Construction Research research progress to the Bunker Living mini-tree, as a small incentive to do it.

Minor Changes:
-Adjusted the starting commanders to have the trait boosting Heavy Special Forces, now that it no longer boosts Paladins only.

-Adjusted the Mojave Chapter defeated foci to take 15 days instead of 30. Those days have been split up on "American Heartland" and "An Unexpected End", raising each from 30 to 45 days.

-Adjusted condensed workshops to require one less factory for the same bonus since nobody used them and they are even worse with the accelerated timeline for Reformers and Rhombians. 
-Adjusted the Dig Deeper decision to grant two additional Underground Construction Slots when it completes, as a little bonus for the true mole-people in the Brotherhood of Steel.
-Finally added text to "Build Our Future Underground", even though if you're playing LHE it's probably not your first time.

-Lost Hills AI will use the Increase Tension decision if "The Right War At The Right Time" has been completed, reducing the frequency of a stalled BoS-NCR due to tension math.
-Lost Hills AI will do a better job at underground construction by stockpiling up to three Underground Construction Slots, rather than one.

-Increased the Army XP for taking Mutant Tactical Experience in the Glow from 10 to 15.
-Increased the PP gained for not entering the Glow from 20 to 35.
-Not entering the Glow also grants 10% research progress on Improved Bunker Construction Research.

-Reworked the Battle path of Port of Honolulu, fixing the unintended dead-end and other event flow issues.

-Adjusted Maxsonian looting of The Ghost Farm from a 180 days bonus to 225 days.
-Adjusted the Exchange of Ideas option in The Ghost Farm to reward 10% research progress on Improved Bunker Construction Research, instead of 1% stability.
-Adjusted the Two Extra Toes debuff from the Toxic Caves to account for the tech rebalance from fast powered armour to slow powered armour. (Now you lose more org when moving)

-Adjusted the Sailing the Yangtze: Space for A Million event options, increasing the Knowledge-only option from 3 to 4 knowledge, and the Mega-Engineering option to grant 20% Research Progress on Improved Bunker Construction.
-Adjusted the Chinese Stealth Suits national spirit from Sailing the Yangtze from 15% Land Night Attack to 12% to match changes to the Thermal Vision Devices tech.
-Also added +1 Operative Slots and -10% Detection Chance Factor for Own Operatives to Chinese Stealth Suits. Given how late it'll be before you get that, it's actual value is much worse than it first appears.
-Adjusted the Sailing the Yangtze: Preparing For Occupation event options, adding 25 Nuclear Jetfighters to the Airforce option, and increasing the Riot Gear offered by the Suppression option to compensate for the IC difference.


Fixes:
-Adjusted the text of some expedition events to improve their grammar. Event text is harder to write than books.
-Fixed bug with the NCR never calling the BOS to war against the Legion under certain circumstances after signing the Legion Defense Pact.
-Fixed missing localization for the declined Legion Defense Pact.
-Fixed news event not firing for LDP members when called to war. 
-Fixed certain Steel Rangers events not firing if the NCR goes Hayes (unlocking sophisticated air tech and vertibirds for you as well)
-Fixed the Californian Food Crisis conclusion events from not firing - you should now get the epilogue for how you dealt with Anton Flynn.


MINOR UPDATE:
Changes: 
-Swapped "Building up a Stockpile" and "Familial Bonds" between the Finding our Advantage mini-tree and the Right War at The Right Time mini-tree. Now, all BoS runs can see Volunteers flood in from other chapters - so long as you kept them alive!
-The focuses under "Find our Advantage" are no longer mutually exclusive. With the other change, you can get get the robot discount and the 1k advanced weapons.

Balance:
-Added AI strategies to force BOS chapters to send volunteers to Lost Hills when able. You must complete the first objective of a chapter before this AI strategy will be applied to them, and a tooltip in the foci clarify that this effect is taking place.
-Added two decisions giving AI strategies to MOJ to hasten them doing the Legion Peace with CES or hasten training up against them. To take them, you must have sufficient volunteers sent the Mojave Chapter. 
-Reduced focus time of Taggerdy contact from 30 -> 7 days, Taggerdy conflict from 30 - > 21 days, and Taggerdy Super Mutant from 30 -> 21 days.
-Reduced focus time of Texas contact from 30 -> 15 days to make it easier to react to the Alamo chapter needing help.
-Increased the time of Texas/Alamo defeat focus (An Unexpected End) from 45->60 days, meaning it takes the same effective time to do as before.
	

-MINOR UPDATE SECOND PATCH:
	Features:
		-Added the ability for Brotherhood nations (including AI) to use the International Market. To join it, you must complete the decision to Establish a Foreign Airbase with that chapter. 
		Hopefully you find it interesting, but it's really only included so I could test the viability of a "faction market" like this in OWB. Submodders, if you are interested in this please let me know and I will see about getting this logic built into a future update of OWB.
		-Added a map mode, "Chapter Conflicts", showing chapters at peace, at war, and at war but not accepting volunteers.
		-Added a map mode, "Circle of Steel Cells", showing current Circle of Steel cells, territories you can expand the circle of steel to, and territories where the Circle of Steel has been rooted out permanently. 
	Changes:
		-Improved the offmap chapter logic and its integration with the various submods. This should put to bed the events running in scenarios where the offmap chapters are, in fact, on map.
	Fixes:
		-Removed offmap copy of the San Francisco Chapter in the Ledger.
		-Fixed the Montana Chapter not having any focus which would result in them pledging volunteers for the BoS-NCR war.
		-Added missing loc for the Scavenging Program national focus. 
		-Updated loc for Improved Bunker Construction research, to make it a little more obvious.

